Subject: Re: [Deb-dev] [DOLFIN-dev] Image to Function data structure conversion

From: Johan Hake <[email-masked]>
Date: Sat, 14 Feb 2009 21:48:17 +0100

On Saturday 14 February 2009 21:09:34 A Navaei wrote:
> 2009/2/14 Johan Hake <[email-masked]>:
>  [snip]
>
> >> > Again, you do not want to do this as you then won't be able to use
> >> > your overloaded eval function, as the Function will then be treated to
> >> > be discrete, i.e., using the coefficients in _vector together with the
> >> > basis function in the FunctionSpace to interpolate any eval().
> >>
> >> Yes, that's why I'm working on wrapping shared_ptr.
> >
> > Then you should definetly switch to the development version, or you won't
> > get it to work ;)
>
> Raw pointers get wrapped fine. 

Ok.

> I simply tried replacing 
> dolfin/swig/*.i with the new development versions, but it didn't help.

No you have to switch the whole cake, together with ufc, ffc, and instant :)

> (%import "swig/ufc.i" is new and the file is missed, is it supposed to
> be generated during build?).  Also, I had to comment out the shared
> pointer stuff in dolfin.i in order to have raw pointers wrapped. 

Yapp that sounds reasonable.

> In 
> the development version, simply importing dolfin.i maps all raw
> pointers and std::tr1::shared_ptr to boost::shared_ptr, automatically.

Yes, the underlaying c++ objects are now stored using shared_ptr instead of 
just pointers. So instantiating a plain Function will result in a shared_ptr 
stored Function.

> Is there a plan for something like 'nightly build binaries' for
> fenics? 

We have discussed it and it is on the TODO list. Your best hope would probably 
be the next point release, which should not be too far away. I am not in 
controll of when.

> I do not have access to a powerful machine and building could 
> be time consuming. In the case that the debian package stuff (.dsc and
> .diff.tar.gz) are available for download, I may try building them on
> the opensuse build service servers. 

I do not know, but I cc deb-dev list. I am just on a dual core laptop and it 
works fine here.

> Finally, maybe trying to release a 
> new version for dolfin, without waiting for the rest of the fenics
> family, isn't a bad idea as there have been many changes.

FYI we need to have a release of ufc, ffc and instant as the changes for 
getting shared_ptr stuff to work in PyDOLFIN required changes in all these 
packages.

Johan

---

From: "Johannes Ring" <[email-masked]>
Date: Mon, 16 Feb 2009 10:53:53 +0100 (CET)

[snip]

> I do not know, but I cc deb-dev list. I am just on a dual core laptop and

Yes, they are available in the repository.

Johannes